<?php
namespace PrestaShop\Module\PolarisPrestaConnector;

use PolarisPrestaConnector;

class Upgrade_0_1 {
    /**
     * Déclenche la mise à jour de la base de données du module
     */
    public function upgrade(PolarisPrestaConnector $module, $db)
    {
        // On créer la table de configuration du module
        if (!$db->execute('
            CREATE TABLE IF NOT EXISTS `' . $module->TblPrefix . 'configuration` (
                `key` VARCHAR(255) NOT NULL,
                `value` TEXT NOT NULL,
                PRIMARY KEY (`key`)
            ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;'))
             throw new \Exception('Erreur lors de la création de la table de configuration du module');
    }
}