<?php

namespace PrestaShop\Module\PolarisPrestaConnector\Controller;

use PrestaShopBundle\Controller\Admin\FrameworkBundleAdminController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\JsonResponse;

class PolarisPrestaConnectorConfigurationAjaxAdminController extends FrameworkBundleAdminController
{
    public function connectToApiAjaxAction(Request $request)
    {
        // Récupérer l'URL envoyée par la requête Ajax
        $url = $request->request->get('url');

        $ch = curl_init();

        // Configuration des options cURL pour une requête GET
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPGET, true); // Utiliser la méthode GET
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // Pour retourner la réponse comme une chaîne
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
        curl_setopt($ch, CURLOPT_CERTINFO, true);

        // Exécution de la requête cURL
        $response = curl_exec($ch);

      

      
    // Exécution de la requête cURL
    $response = json_decode(curl_exec($ch));

    //var_dump($response);die;
    // Fermer cURL
    curl_close($ch);

    

    
    if (str_contains($response->Resultat, 'Erreur')) {
        
        // Récupération des informations de certificat
        $certInfo = curl_getinfo($ch, CURLINFO_CERTINFO);
        if (!empty($certInfo)) {
            $certDetails = $certInfo[0]; // Prendre le premier certificat dans la chaîne
            if (isset($certDetails['Cert'])) {
               // $certData = openssl_x509_parse($certDetails['Cert']);
                $fingerprint = openssl_x509_fingerprint($certDetails['Cert']); // Empreinte SHA1 par défaut
                return new JsonResponse(['success' => true, 'message' => 'L\'URL a été validée avec succès' , 'fingerprint' => $fingerprint]);
            } else {
                return new JsonResponse(['success' => true, 'message' => 'L\'URL a été validée avec succès' , 'fingerprint' => null ]);
            }
        } else {
            return new JsonResponse(['success' => true, 'message' => 'L\'URL a été validée avec succès' , 'fingerprint' => null]);
        }  
        
    }else{
       
        return new JsonResponse(['success' => false, 'message' => 'L\'URL n\'est pas valide']);
    }


    }


    
}