<?php
namespace PrestaShop\Module\PolarisPrestaConnector\pol;

use PrestaShop\Module\PolarisPrestaConnector\BridgeAdapter;
use PrestaShop\Module\PolarisPrestaConnector\SyncConfiguration;

/**
 * Pont vers Polaris
 */
class Bridge extends BridgeAdapter
{
    /**
     * Constructeur
     */
    public function __construct(SyncConfiguration $config)
    {
        parent::__construct($config);
    }

    /**
     * Renvoi l'identifiant du pont correspondant au backoffice géré
     */
    public function getId() : string
    {
        return 'Polaris';
    }

    /**
     * Teste la connexion au backoffice avec les paramètres fournis
     */
    public function testConnect($args) : string|null
    {
        throw new \Exception('Not implemented');
    }
}
