<?php

use PrestaShop\Module\PolarisPrestaConnector\BridgeAdapter;

/**
 * Boucle principale de synchronisation 
 * 
 * Pour éxécuter les tâches asynchrones, il faudra appeler ce contrôleur via tâches automatisées le plus fréquemment
 * possible.
 */

class PolarisPrestaConnectorCronModuleFrontController extends \ModuleFrontController
{
    /** 
     * Instanciation du contrôleur
    */
    public function __construct()
    {
        $this->ajax = true;
        
        parent::__construct();
    }    

   /**
    * Appel ici
    */
   public function display()
    {
        // Fin de la session pour éviter de bloquer le processus et les autres demande du même utilisateur
        if (session_id()) 
            session_write_close();

        // Appel de la synchronisation (aucun code ici)
        $syncer = new PrestaShop\Module\PolarisPrestaConnector\Syncer($this->module);
        $syncer->sync();

        return '';
    }
}